# ec2_lc_find – Find AWS Autoscaling Launch Configurations

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Returns list of matching Launch Configurations for a given name, along with other useful information

- Results can be sorted and sliced

- It depends on boto

- Based on the work by Tom Bamford (https://github.com/tombamford)

## Requirements

The below requirements are needed on the host that executes this module.

- boto

- boto3

- python >= 2.6

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
aws_access_key string |  | AWS access key. If not set then the value of the AWS_ACCESS_KEY_ID, AWS_ACCESS_KEY or EC2_ACCESS_KEY environment variable is used. aliases: ec2_access_key, access_key
aws_secret_key string |  | AWS secret key. If not set then the value of the AWS_SECRET_ACCESS_KEY, AWS_SECRET_KEY, or EC2_SECRET_KEY environment variable is used. aliases: ec2_secret_key, secret_key

debug_botocore_endpoint_logs
boolean
added in 2.8

Choices:
- no ←
- yes

Use a botocore.endpoint logger to parse the unique (rather than total) "resource:action" API calls made during a task, outputing the set to the resource_actions key in the task results. Use the aws_resource_action callback to output to total list made during a playbook. The ANSIBLE_DEBUG_BOTOCORE_LOGS environment variable may also be used.

ec2_url string |  | Url to use to connect to EC2 or your Eucalyptus cloud (by default the module will use EC2 endpoints). Ignored for modules where region is required. Must be specified for all other modules if region is not used. If not set then the value of the EC2_URL environment variable, if any, is used.
limit - |  | How many results to show. Corresponds to Python slice notation like list[:limit].
name_regex - / required |  | A Launch Configuration to match It'll be compiled as regex
profile string |  | Uses a boto profile. Only works with boto >= 2.24.0.
region - / required |  | The AWS region to use. aliases: aws_region, ec2_region
security_token string |  | AWS STS security token. If not set then the value of the AWS_SECURITY_TOKEN or EC2_SECURITY_TOKEN environment variable is used. aliases: access_token

sort_order
-

Choices:
- ascending ←
- descending

Order in which to sort results.

validate_certs
boolean

Choices:
- no
- yes ←

When set to "no", SSL certificates will not be validated for boto versions >= 2.6.0.

## Notes

Note

- If parameters are not set within the module, the following environment variables can be used in decreasing order of precedence `AWS_URL` or `EC2_URL`, `AWS_ACCESS_KEY_ID` or `AWS_ACCESS_KEY` or `EC2_ACCESS_KEY`, `AWS_SECRET_ACCESS_KEY` or `AWS_SECRET_KEY` or `EC2_SECRET_KEY`, `AWS_SECURITY_TOKEN` or `EC2_SECURITY_TOKEN`, `AWS_REGION` or `EC2_REGION`

- Ansible uses the boto configuration file (typically ~/.boto) if no credentials are provided. See https://boto.readthedocs.io/en/latest/boto_config_tut.html

- `AWS_REGION` or `EC2_REGION` can be typically be used to specify the AWS region, when required, but this can also be configured in the boto config file

## Examples

    # Note: These examples do not set authentication details, see the AWS Guide for details.

    # Search for the Launch Configurations that start with "app"
    - ec2_lc_find:
        name_regex: app.*
        sort_order: descending
        limit: 2

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
arn string | when Launch Configuration was found | Name of the AMI Sample: arn:aws:autoscaling:eu-west-1:12345:launchConfiguration:d82f050e-e315:launchConfigurationName/yourproject
associate_public_address boolean | when Launch Configuration was found | Assign public address or not Sample: True
block_device_mappings list | when Launch Configuration was found | Launch Configuration block device mappings property
classic_link_vpc_security_groups list | when Launch Configuration was found | Launch Configuration classic link vpc security groups property
created_time string | when Launch Configuration was found | When it was created Sample: 2016-06-29T14:59:22.222000+00:00
ebs_optimized boolean | when Launch Configuration was found | Launch Configuration EBS optimized property
image_id string | when Launch Configuration was found | AMI id Sample: ami-0d75df7e
instance_monitoring string | when Launch Configuration was found | Launch Configuration instance monitoring property Sample: {'Enabled': False}
instance_type string | when Launch Configuration was found | Type of ec2 instance Sample: t2.small
kernel_id string | when Launch Configuration was found | Launch Configuration kernel to use
keyname string | when Launch Configuration was found | Launch Configuration ssh key Sample: mykey
name string | when Launch Configuration was found | Name of the Launch Configuration Sample: myapp-v123
ram_disk_id string | when Launch Configuration was found | Launch Configuration ram disk property
security_groups list | when Launch Configuration was found | Launch Configuration security groups
user_data string | when Launch Configuration was found | User data used to start instance Sample: ZXhwb3J0IENMT1VE

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Jose Armesto (@fiunchinho)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.